VTKWRAPPYTHONINIT(1)

NAME
vtkWrapPythonInit - A VTK utility to generate Python module initialization code

SYNOPSIS
vtkWrapPythonInit input_file init_file

DESCRIPTION
vtkWrapPythonInit is a tool from the Visualization Toolkit (VTK) used to generate the C++ source code for a Python extension module's initialization function. This `PyInit` entry point is responsible for registering all the types defined in a given module.

This tool is used by the VTK build system during the compilation of Python wrappers for C++ classes.

ARGUMENTS

input_file
    A file listing the wrapped classes that need to be initialized.

init_file
    The output C++ source file that contains the Python module initialization function.

SEE ALSO
vtk(1)
vtkWrapPython(1)

BUGS
No known bugs.

AUTHOR
This manual page was written for VTK 9.5.